> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cerca.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update context entry



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml put /agents/{agentId}/context/entry
openapi: 3.1.0
info:
  description: API-key accessible routes for Cerca agents.
  title: Cerca API
  version: 0.0.0
servers:
  - url: https://api.cerca.dev
security:
  - bearerAuth: []
paths:
  /agents/{agentId}/context/entry:
    put:
      tags:
        - Context
      summary: Update context entry
      parameters:
        - schema:
            type: string
            minLength: 1
            example: agent_abc123
          required: true
          in: path
          name: agentId
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PutContextEntryRequest'
      responses:
        '200':
          description: Context entry written.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContextEntry'
        '400':
          description: Invalid runtime request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Authentication required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: >-
            Access denied or non-transient quota exceeded. Limit errors include
            a stable code field.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Runtime resource not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: >-
            Transient capacity limit exceeded. Limit errors include a stable
            code field.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Required runtime dependency unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        default:
          description: Runtime error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Cerca from '@cerca-dev/sdk';


            const client = new Cerca({
              apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
            });


            const entry = await client.context.write('agent_abc123', { content:
            'content', key: 'key' });


            console.log(entry.content);
        - lang: Python
          source: |-
            import os
            from cerca import Cerca

            client = Cerca(
                api_key=os.environ.get("CERCA_API_KEY"),  # This is the default and can be omitted
            )
            entry = client.context.write(
                agent_id="agent_abc123",
                content="content",
                key="key",
            )
            print(entry.content)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/matrices/cerca-go\"\n\t\"github.com/matrices/cerca-go/option\"\n)\n\nfunc main() {\n\tclient := cercago.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tentry, err := client.Context.Write(\n\t\tcontext.TODO(),\n\t\t\"agent_abc123\",\n\t\tcercago.ContextWriteParams{\n\t\t\tContent: cercago.F(\"content\"),\n\t\t\tKey:     cercago.F(\"key\"),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", entry.Content)\n}\n"
        - lang: Ruby
          source: >-
            require "cerca"


            cerca = Cerca::Client.new(api_key: "My API Key")


            entry = cerca.context.write("agent_abc123", content: "content", key:
            "key")


            puts(entry)
        - lang: CLI
          source: |-
            cerca context write \
              --api-key 'My API Key' \
              --agent-id agent_abc123 \
              --content content \
              --key key
components:
  schemas:
    PutContextEntryRequest:
      type: object
      properties:
        content:
          type: string
        expectedVersion:
          type: number
        key:
          type: string
        mimeType:
          type: string
      required:
        - content
        - key
      additionalProperties:
        x-stainless-any: true
    ContextEntry:
      type: object
      properties:
        content:
          type: string
        key:
          type: string
        mimeType:
          type: string
        updatedAt:
          type: string
        version:
          type: number
      required:
        - content
        - key
        - updatedAt
        - version
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
          description: Stable machine-readable error code when the API can provide one.
          example: MONTHLY_TOKEN_BUDGET_EXCEEDED
      required:
        - error
  securitySchemes:
    bearerAuth:
      bearerFormat: Cerca API key
      scheme: bearer
      type: http

````